$(document).ready(function () {

    /**************************
     REMOVER ITEM
     **************************/
    $("a[btnRemover=1]").click(function () {
        var idRemover = $(this).attr('pk');
        $('#idRemover').val(idRemover);
        $('#fremover').submit();
    });

    /**************************
     ATUALIZAR CARRINHO
     **************************/
    $("select[btnAtualizar=1]").change(function () {
        var idAtualizar = $(this).attr('pk');
        var qtdeAtualizar = $(this).val();
        $('#idAtualizar').val(idAtualizar);
        $('#qtdeAtualizar').val(qtdeAtualizar);
        $('#fatualizar').submit();
    });

    /**************************
     BUSCAR OPCOES FRETE
     **************************/
    $('#btnCep').click(function () {
        var cepDestino = $('#cepDestino').val();
        if (cepDestino == "" || cepDestino.length < 8  ) {
            bootbox.alert('CEP inválido');
        } else {
            var cepDestino = $('#cepDestino').val();
            //bootbox.alert(cepDestino);
            $('#freteCepDestino').val(cepDestino);
            $('#ffrete1').submit();
        }
    });

    /**************************
     CALCULAR FRETE
     **************************/
    $('input[name=tipoFrete]').click(function () {
        var valorOpcao = $(this).val();
        var nomeOpcao = $(this).attr('id');
        $('#nomeOpcao').val(nomeOpcao);
        $('#valorOpcao').val(valorOpcao);
        //bootbox.alert(nomeOpcao+' - '+valorOpcao);
        $('#ffrete2').submit();
    });

    /**************************
     FINALIZAR COMPRA
     **************************/
    $('input[name=finalizar]').click(function () {
        if ($('input[name=tipoFrete]').val() != "undefined" && $('#freteCalculado').val() == true) {
            return true;
        }
        bootbox.alert('Escolha o frete');
        return false;
    });

});